export declare const ProverAbi: readonly [{
    readonly inputs: readonly [{
        readonly components: readonly [{
            readonly internalType: "uint256";
            readonly name: "chainId";
            readonly type: "uint256";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint8";
                readonly name: "provingMechanism";
                readonly type: "uint8";
            }, {
                readonly internalType: "uint256";
                readonly name: "settlementChainId";
                readonly type: "uint256";
            }, {
                readonly internalType: "address";
                readonly name: "settlementContract";
                readonly type: "address";
            }, {
                readonly internalType: "address";
                readonly name: "blockhashOracle";
                readonly type: "address";
            }, {
                readonly internalType: "uint256";
                readonly name: "outputRootVersionNumber";
                readonly type: "uint256";
            }];
            readonly internalType: "struct Prover.ChainConfiguration";
            readonly name: "chainConfiguration";
            readonly type: "tuple";
        }];
        readonly internalType: "struct Prover.ChainConfigurationConstructor[]";
        readonly name: "_chainConfigurations";
        readonly type: "tuple[]";
    }];
    readonly stateMutability: "nonpayable";
    readonly type: "constructor";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "_inputBlockNumber";
        readonly type: "uint256";
    }, {
        readonly internalType: "uint256";
        readonly name: "_latestBlockNumber";
        readonly type: "uint256";
    }];
    readonly name: "OutdatedBlock";
    readonly type: "error";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly internalType: "bytes32";
        readonly name: "_hash";
        readonly type: "bytes32";
    }, {
        readonly indexed: true;
        readonly internalType: "address";
        readonly name: "_claimant";
        readonly type: "address";
    }];
    readonly name: "IntentProven";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly internalType: "uint256";
        readonly name: "_blockNumber";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly internalType: "bytes32";
        readonly name: "_L1WorldStateRoot";
        readonly type: "bytes32";
    }];
    readonly name: "L1WorldStateProven";
    readonly type: "event";
}, {
    readonly anonymous: false;
    readonly inputs: readonly [{
        readonly indexed: true;
        readonly internalType: "uint256";
        readonly name: "_destinationChainID";
        readonly type: "uint256";
    }, {
        readonly indexed: true;
        readonly internalType: "uint256";
        readonly name: "_blockNumber";
        readonly type: "uint256";
    }, {
        readonly indexed: false;
        readonly internalType: "bytes32";
        readonly name: "_L2WorldStateRoot";
        readonly type: "bytes32";
    }];
    readonly name: "L2WorldStateProven";
    readonly type: "event";
}, {
    readonly inputs: readonly [];
    readonly name: "L2_DISPUTE_GAME_FACTORY_LIST_SLOT_NUMBER";
    readonly outputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "L2_FAULT_DISPUTE_GAME_ROOT_CLAIM_SLOT";
    readonly outputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "L2_FAULT_DISPUTE_GAME_STATUS_SLOT";
    readonly outputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "L2_OUTPUT_ROOT_VERSION_NUMBER";
    readonly outputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "L2_OUTPUT_SLOT_NUMBER";
    readonly outputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "PROOF_TYPE";
    readonly outputs: readonly [{
        readonly internalType: "enum IProver.ProofType";
        readonly name: "";
        readonly type: "uint8";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint64";
        readonly name: "createdAt";
        readonly type: "uint64";
    }, {
        readonly internalType: "uint64";
        readonly name: "resolvedAt";
        readonly type: "uint64";
    }, {
        readonly internalType: "uint8";
        readonly name: "gameStatus";
        readonly type: "uint8";
    }, {
        readonly internalType: "bool";
        readonly name: "initialized";
        readonly type: "bool";
    }, {
        readonly internalType: "bool";
        readonly name: "l2BlockNumberChallenged";
        readonly type: "bool";
    }];
    readonly name: "assembleGameStatusStorage";
    readonly outputs: readonly [{
        readonly internalType: "bytes";
        readonly name: "gameStatusStorageSlotRLP";
        readonly type: "bytes";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly name: "chainConfigurations";
    readonly outputs: readonly [{
        readonly internalType: "uint8";
        readonly name: "provingMechanism";
        readonly type: "uint8";
    }, {
        readonly internalType: "uint256";
        readonly name: "settlementChainId";
        readonly type: "uint256";
    }, {
        readonly internalType: "address";
        readonly name: "settlementContract";
        readonly type: "address";
    }, {
        readonly internalType: "address";
        readonly name: "blockhashOracle";
        readonly type: "address";
    }, {
        readonly internalType: "uint256";
        readonly name: "outputRootVersionNumber";
        readonly type: "uint256";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes32";
        readonly name: "rootClaim";
        readonly type: "bytes32";
    }, {
        readonly internalType: "address";
        readonly name: "faultDisputeGameProxyAddress";
        readonly type: "address";
    }, {
        readonly components: readonly [{
            readonly internalType: "bytes32";
            readonly name: "faultDisputeGameStateRoot";
            readonly type: "bytes32";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "faultDisputeGameRootClaimStorageProof";
            readonly type: "bytes[]";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint64";
                readonly name: "createdAt";
                readonly type: "uint64";
            }, {
                readonly internalType: "uint64";
                readonly name: "resolvedAt";
                readonly type: "uint64";
            }, {
                readonly internalType: "uint8";
                readonly name: "gameStatus";
                readonly type: "uint8";
            }, {
                readonly internalType: "bool";
                readonly name: "initialized";
                readonly type: "bool";
            }, {
                readonly internalType: "bool";
                readonly name: "l2BlockNumberChallenged";
                readonly type: "bool";
            }];
            readonly internalType: "struct Prover.FaultDisputeGameStatusSlotData";
            readonly name: "faultDisputeGameStatusSlotData";
            readonly type: "tuple";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "faultDisputeGameStatusStorageProof";
            readonly type: "bytes[]";
        }, {
            readonly internalType: "bytes";
            readonly name: "rlpEncodedFaultDisputeGameData";
            readonly type: "bytes";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "faultDisputeGameAccountProof";
            readonly type: "bytes[]";
        }];
        readonly internalType: "struct Prover.FaultDisputeGameProofData";
        readonly name: "faultDisputeGameProofData";
        readonly type: "tuple";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l1WorldStateRoot";
        readonly type: "bytes32";
    }];
    readonly name: "faultDisputeGameIsResolved";
    readonly outputs: readonly [];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "version";
        readonly type: "uint256";
    }, {
        readonly internalType: "bytes32";
        readonly name: "worldStateRoot";
        readonly type: "bytes32";
    }, {
        readonly internalType: "bytes32";
        readonly name: "messagePasserStateRoot";
        readonly type: "bytes32";
    }, {
        readonly internalType: "bytes32";
        readonly name: "latestBlockHash";
        readonly type: "bytes32";
    }];
    readonly name: "generateOutputRoot";
    readonly outputs: readonly [{
        readonly internalType: "bytes32";
        readonly name: "";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "getProofType";
    readonly outputs: readonly [{
        readonly internalType: "enum IProver.ProofType";
        readonly name: "";
        readonly type: "uint8";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "l1BlockhashOracle";
    readonly outputs: readonly [{
        readonly internalType: "contract IL1Block";
        readonly name: "";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint32";
        readonly name: "_gameType";
        readonly type: "uint32";
    }, {
        readonly internalType: "uint64";
        readonly name: "_timestamp";
        readonly type: "uint64";
    }, {
        readonly internalType: "address";
        readonly name: "_gameProxy";
        readonly type: "address";
    }];
    readonly name: "pack";
    readonly outputs: readonly [{
        readonly internalType: "bytes32";
        readonly name: "gameId_";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes";
        readonly name: "_address";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes";
        readonly name: "_data";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes[]";
        readonly name: "_proof";
        readonly type: "bytes[]";
    }, {
        readonly internalType: "bytes32";
        readonly name: "_root";
        readonly type: "bytes32";
    }];
    readonly name: "proveAccount";
    readonly outputs: readonly [];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "chainId";
        readonly type: "uint256";
    }, {
        readonly internalType: "address";
        readonly name: "claimant";
        readonly type: "address";
    }, {
        readonly internalType: "address";
        readonly name: "inboxContract";
        readonly type: "address";
    }, {
        readonly internalType: "bytes32";
        readonly name: "intermediateHash";
        readonly type: "bytes32";
    }, {
        readonly internalType: "bytes[]";
        readonly name: "l2StorageProof";
        readonly type: "bytes[]";
    }, {
        readonly internalType: "bytes";
        readonly name: "rlpEncodedInboxData";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes[]";
        readonly name: "l2AccountProof";
        readonly type: "bytes[]";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l2WorldStateRoot";
        readonly type: "bytes32";
    }];
    readonly name: "proveIntent";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes";
        readonly name: "rlpEncodedBlockData";
        readonly type: "bytes";
    }];
    readonly name: "proveSettlementLayerState";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes";
        readonly name: "_key";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes";
        readonly name: "_val";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes[]";
        readonly name: "_proof";
        readonly type: "bytes[]";
    }, {
        readonly internalType: "bytes32";
        readonly name: "_root";
        readonly type: "bytes32";
    }];
    readonly name: "proveStorage";
    readonly outputs: readonly [];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "chainId";
        readonly type: "uint256";
    }, {
        readonly internalType: "bytes";
        readonly name: "rlpEncodedBlockData";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l2WorldStateRoot";
        readonly type: "bytes32";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l2MessagePasserStateRoot";
        readonly type: "bytes32";
    }, {
        readonly internalType: "uint256";
        readonly name: "l2OutputIndex";
        readonly type: "uint256";
    }, {
        readonly internalType: "bytes[]";
        readonly name: "l1StorageProof";
        readonly type: "bytes[]";
    }, {
        readonly internalType: "bytes";
        readonly name: "rlpEncodedOutputOracleData";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes[]";
        readonly name: "l1AccountProof";
        readonly type: "bytes[]";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l1WorldStateRoot";
        readonly type: "bytes32";
    }];
    readonly name: "proveWorldStateBedrock";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "chainId";
        readonly type: "uint256";
    }, {
        readonly internalType: "bytes";
        readonly name: "rlpEncodedBlockData";
        readonly type: "bytes";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l2WorldStateRoot";
        readonly type: "bytes32";
    }, {
        readonly components: readonly [{
            readonly internalType: "bytes32";
            readonly name: "messagePasserStateRoot";
            readonly type: "bytes32";
        }, {
            readonly internalType: "bytes32";
            readonly name: "latestBlockHash";
            readonly type: "bytes32";
        }, {
            readonly internalType: "uint256";
            readonly name: "gameIndex";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes32";
            readonly name: "gameId";
            readonly type: "bytes32";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "disputeFaultGameStorageProof";
            readonly type: "bytes[]";
        }, {
            readonly internalType: "bytes";
            readonly name: "rlpEncodedDisputeGameFactoryData";
            readonly type: "bytes";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "disputeGameFactoryAccountProof";
            readonly type: "bytes[]";
        }];
        readonly internalType: "struct Prover.DisputeGameFactoryProofData";
        readonly name: "disputeGameFactoryProofData";
        readonly type: "tuple";
    }, {
        readonly components: readonly [{
            readonly internalType: "bytes32";
            readonly name: "faultDisputeGameStateRoot";
            readonly type: "bytes32";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "faultDisputeGameRootClaimStorageProof";
            readonly type: "bytes[]";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint64";
                readonly name: "createdAt";
                readonly type: "uint64";
            }, {
                readonly internalType: "uint64";
                readonly name: "resolvedAt";
                readonly type: "uint64";
            }, {
                readonly internalType: "uint8";
                readonly name: "gameStatus";
                readonly type: "uint8";
            }, {
                readonly internalType: "bool";
                readonly name: "initialized";
                readonly type: "bool";
            }, {
                readonly internalType: "bool";
                readonly name: "l2BlockNumberChallenged";
                readonly type: "bool";
            }];
            readonly internalType: "struct Prover.FaultDisputeGameStatusSlotData";
            readonly name: "faultDisputeGameStatusSlotData";
            readonly type: "tuple";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "faultDisputeGameStatusStorageProof";
            readonly type: "bytes[]";
        }, {
            readonly internalType: "bytes";
            readonly name: "rlpEncodedFaultDisputeGameData";
            readonly type: "bytes";
        }, {
            readonly internalType: "bytes[]";
            readonly name: "faultDisputeGameAccountProof";
            readonly type: "bytes[]";
        }];
        readonly internalType: "struct Prover.FaultDisputeGameProofData";
        readonly name: "faultDisputeGameProofData";
        readonly type: "tuple";
    }, {
        readonly internalType: "bytes32";
        readonly name: "l1WorldStateRoot";
        readonly type: "bytes32";
    }];
    readonly name: "proveWorldStateCannon";
    readonly outputs: readonly [];
    readonly stateMutability: "nonpayable";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes32";
        readonly name: "";
        readonly type: "bytes32";
    }];
    readonly name: "provenIntents";
    readonly outputs: readonly [{
        readonly internalType: "address";
        readonly name: "";
        readonly type: "address";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "";
        readonly type: "uint256";
    }];
    readonly name: "provenStates";
    readonly outputs: readonly [{
        readonly internalType: "uint256";
        readonly name: "blockNumber";
        readonly type: "uint256";
    }, {
        readonly internalType: "bytes32";
        readonly name: "blockHash";
        readonly type: "bytes32";
    }, {
        readonly internalType: "bytes32";
        readonly name: "stateRoot";
        readonly type: "bytes32";
    }];
    readonly stateMutability: "view";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes[]";
        readonly name: "dataList";
        readonly type: "bytes[]";
    }];
    readonly name: "rlpEncodeDataLibList";
    readonly outputs: readonly [{
        readonly internalType: "bytes";
        readonly name: "";
        readonly type: "bytes";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [{
        readonly internalType: "bytes32";
        readonly name: "_gameId";
        readonly type: "bytes32";
    }];
    readonly name: "unpack";
    readonly outputs: readonly [{
        readonly internalType: "uint32";
        readonly name: "gameType_";
        readonly type: "uint32";
    }, {
        readonly internalType: "uint64";
        readonly name: "timestamp_";
        readonly type: "uint64";
    }, {
        readonly internalType: "address";
        readonly name: "gameProxy_";
        readonly type: "address";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}, {
    readonly inputs: readonly [];
    readonly name: "version";
    readonly outputs: readonly [{
        readonly internalType: "string";
        readonly name: "";
        readonly type: "string";
    }];
    readonly stateMutability: "pure";
    readonly type: "function";
}];
